
extension Int {

    static func random() -> Int {
        random(in: Int.min...Int.max)
    }

    mutating func increment(_ increment: Bool) {
        guard increment else {
            return
        }
        self += 1
    }
}
